com.holonplatform.vaadin.flow.components.builders

## Interface ThemableLayoutConfigurator<C extends ThemableLayoutConfigurator<C>>

- Type Parameters:
    `C` - Concrete configurator type
  All Superinterfaces:
    HasElementConfigurator<C>
  All Known Subinterfaces:
    HorizontalLayoutBuilder, ThemableFlexComponentConfigurator<C>, ThemableFlexComponentConfigurator.HorizontalLayoutConfigurator, ThemableFlexComponentConfigurator.VerticalLayoutConfigurator, VerticalLayoutBuilder

      public interface ThemableLayoutConfigurator<C extends ThemableLayoutConfigurator<C>>
      extends HasElementConfigurator<C>

  Configurator for `ThemableLayout` type components.
  Since:
    5.2.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `C` | `boxSizing(com.vaadin.flow.component.orderedlayout.BoxSizing boxSizing)` Sets the `box-sizing` CSS property of the layout.
    `default C` | `margin()` Enable layout margins, i.e. toggles `margin` theme setting for the element.
    `C` | `margin(boolean margin)` Enable or disable layout margins, i.e. toggles `margin` theme setting for the element.
    `default C` | `padding()` Add the `padding` theme setting for the element.
    `C` | `padding(boolean padding)` Toggles `padding` theme setting for the element.
    `default C` | `spacing()` Apply `spacing` theme setting for the element.
    `C` | `spacing(boolean spacing)` Toggles `spacing` theme setting for the element.
    `default C` | `withoutMargin()` Disable layout margins, i.e. toggles `margin` theme setting for the element.
    `default C` | `withoutPadding()` Remove the `padding` theme setting for the element.
    `default C` | `withoutSpacing()` Remove `spacing` theme setting for the element.

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasElementConfigurator

      `withEventListener, withEventListener, withThemeName`

- - ### Method Detail

    - #### margin

          C margin(boolean margin)

      Enable or disable layout margins, i.e. toggles `margin` theme setting for the element. If a theme supports this attribute, it will apply or remove margin to the element.
      Parameters:
        `margin` - adds `margin` theme setting if `true` or removes it if `false`
      Returns:
        this

    - #### margin

          default C margin()

      Enable layout margins, i.e. toggles `margin` theme setting for the element. If a theme supports this attribute, it will apply margin to the element.
      Returns:
        this

    - #### withoutMargin

          default C withoutMargin()

      Disable layout margins, i.e. toggles `margin` theme setting for the element. If a theme supports this attribute, it will remove margin to the element.
      Returns:
        this

    - #### padding

          C padding(boolean padding)

      Toggles `padding` theme setting for the element. If a theme supports this attribute, it will apply or remove padding to the element.
      Parameters:
        `padding` - adds `padding` theme setting if `true` or removes it if `false`
      Returns:
        this

    - #### padding

          default C padding()

      Add the `padding` theme setting for the element. If a theme supports this attribute, it will apply padding to the element.
      Returns:
        this

    - #### withoutPadding

          default C withoutPadding()

      Remove the `padding` theme setting for the element. If a theme supports this attribute, it will remove padding to the element.
      Returns:
        this

    - #### spacing

          C spacing(boolean spacing)

      Toggles `spacing` theme setting for the element. If a theme supports this attribute, it will apply or remove spacing to the element.

      This method adds medium spacing to the component theme, to set other options, use `HasElementConfigurator.withThemeName(String)`. List of options possible:

      - spacing-xs
      - spacing-s
      - spacing
      - spacing-l
      - spacing-xl
      Parameters:
        `spacing` - adds `spacing` theme setting if `true` or removes it if `false`
      Returns:
        this

    - #### spacing

          default C spacing()

      Apply `spacing` theme setting for the element. If a theme supports this attribute, it will apply spacing to the element.
      Returns:
        this
      See Also:
        `spacing(boolean)`

    - #### withoutSpacing

          default C withoutSpacing()

      Remove `spacing` theme setting for the element. If a theme supports this attribute, it will remove spacing to the element.
      Returns:
        this
      See Also:
        `spacing(boolean)`

    - #### boxSizing

          C boxSizing(com.vaadin.flow.component.orderedlayout.BoxSizing boxSizing)

      Sets the `box-sizing` CSS property of the layout.
      Parameters:
        `boxSizing` - the box-sizing of the layout. `null` is interpreted as `BoxSizing.UNDEFINED`
      Returns:
        this

Copyright © 2019 The Holon Platform. All rights reserved.